publicación /grupos/{groupId}/aplicaciones/{appId}/valores_del_entorno

Define un nuevo valor de entorno.

Parámetros de path

aplicación/json

Cuerpo

  • _id string

    The environment value's internal ID

  • Nombre string

    The environment value name

  • last_modified Número

    The time this configuration was last modified represented by the number of seconds since the UNIX epoch.

  • values Objeto

    An object that maps environment names to values. The environment value resolves to the current active environment's mapped value.

    If no value is mapped to the current active environment, the environment value resolves to undefined.

Respuestas

  • 201 aplicación/json

    Creado.

    Ocultar atributos de respuesta Mostrar los atributos de respuesta Objeto
    • _id string

      The environment value's internal ID

    • Nombre string

      The environment value name

    • last_modified Número

      The time this configuration was last modified represented by the number of seconds since the UNIX epoch.

  • 409 aplicación/json

    El nombre del valor del entorno ya existe

    Ocultar atributos de respuesta Mostrar los atributos de respuesta Objeto
    • Error string

      Un mensaje que describe el error.

    • error_code string

      El tipo de error.

POST /groups/{groupId}/apps/{appId}/environment_values
curl \
 --request POST 'https://services.cloud.mongodb.com/api/admin/v3.0/groups/{groupId}/apps/{appId}/environment_values' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "Content-Type: application/json" \
 --data '{"_id":"string","name":"string","last_modified":42.0,"values":{}}'
Solicitar ejemplos
{
  "_id": "string",
  "name": "string",
  "last_modified": 42.0,
  "values": {}
}
Ejemplos de respuestas (201)
{
  "_id": "string",
  "name": "string",
  "last_modified": 42.0
}
Ejemplos de respuestas (409)
{
  "error": "string",
  "error_code": "string"
}